Bug 38889 - tix can no longer handle xpm images
Summary: tix can no longer handle xpm images
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tcltk (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-03 08:29 UTC by thomas.bartschies
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-28 14:59:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description thomas.bartschies 2001-05-03 08:29:44 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT)

Description of problem:
the command:
image create pixmap -file "/home/xxx/example.xpm"
results in the error message
unknown option ""
although the info image types commands says that tix supports
bitmap pixmap photo ...
In RH 6.x this worked properly.

How reproducible:
Always

Steps to Reproduce:
1. start "tixwish"
2. image create pixmap -file "any xpm file"
3.
	

Actual Results:  Error message:
unknown option ""

Expected Results:  tcl/tk Image ID as a result string

Additional info:

Comment 1 Eido Inoue 2001-07-12 18:36:45 UTC
Fixed for the next release

Comment 2 Need Real Name 2002-12-11 08:15:20 UTC
What was the "fix" havill is referring to? A patch in the RH release,
a RH build problem that was solved, or a tix upgrade?

AFAIK this has never been a bug in tix, as the xpm images
are covered in the test suite.

I have a new minor release ready to go but not yet announced.
Would you like to try it out and see if there is this problem?
It's a bugfix release with no major changes
to the configure/make.

http://tix.sourceforge.net/dist/tix-8.1.4.tar.gz


Comment 3 Jens Petersen 2002-12-12 06:12:02 UTC
Thanks for the followup.

As far as I can tell it was probably fixed by a version
(perhaps to tix-2.2b?).


Note You need to log in before you can comment on or make changes to this bug.